FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202008111029.p0 BUILD_VERSION=v4.3.33 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=33 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.33-202008111029.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6a117a8 OS_GIT_VERSION=4.3.33-202008111029.p0-6a117a8 SOURCE_DATE_EPOCH=1596765323 SOURCE_GIT_COMMIT=6a117a8d60772e72d1cf4dc0fa63e196c5776f04 SOURCE_GIT_TAG=6a117a8 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator 
WORKDIR /go/src/github.com/openshift/cluster-storage-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.33.20200811.103835
ENV __doozer=update BUILD_RELEASE=202008111029.p0 BUILD_VERSION=v4.3.33 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=33 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.33-202008111029.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=6a117a8 OS_GIT_VERSION=4.3.33-202008111029.p0-6a117a8 SOURCE_DATE_EPOCH=1596765323 SOURCE_GIT_COMMIT=6a117a8d60772e72d1cf4dc0fa63e196c5776f04 SOURCE_GIT_TAG=6a117a8 SOURCE_GIT_URL=https://github.com/openshift/cluster-storage-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-storage-operator/manager /usr/bin/cluster-storage-operator
COPY manifests /manifests
RUN useradd cluster-storage-operator
USER cluster-storage-operator
ENTRYPOINT ["/usr/bin/cluster-storage-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift Cluster Storage Operator" \
        io.k8s.description="This is a component of OpenShift Container Platform and manages the lifecycle of cluster storage components." \
        maintainer="Matthew Wong <mawong@redhat.com>" \
        name="openshift/ose-cluster-storage-operator" \
        com.redhat.component="ose-cluster-storage-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202008111029.p0" \
        io.openshift.build.commit.id="6a117a8d60772e72d1cf4dc0fa63e196c5776f04" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-storage-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-storage-operator/commit/6a117a8d60772e72d1cf4dc0fa63e196c5776f04" \
        version="v4.3.33"

